- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# QHostInfo Class Reference

Search for all occurrences

## Detailed Description

Definition at line 58 of file qhostinfo.h.

`#include <qhostinfo.h>`

List of all members.

## Public Types
enum | HostInfoError { NoError, HostNotFound, UnknownError }
## Public Member Functions
| QHostInfo (int lookupId=-1)
| QHostInfo (const QHostInfo &d)
QHostInfo & | operator= (const QHostInfo &d)
| ~QHostInfo ()
QString | hostName () const
void | setHostName (const QString &name)
QList< QHostAddress > | addresses () const
void | setAddresses (const QList< QHostAddress > &addresses)
HostInfoError | error () const
void | setError (HostInfoError error)
QString | errorString () const
void | setErrorString (const QString &errorString)
void | setLookupId (int id)
int | lookupId () const
## Static Public Member Functions
static int | lookupHost (const QString &name, QObject *receiver, const char *member)
static void | abortHostLookup (int lookupId)
static QHostInfo | fromName (const QString &name)
static QString | localHostName ()
static QString | localDomainName ()

## Member Enumeration Documentation

enum HostInfoError

Search for all occurrences

Enumerator:

  NoError | Search for all occurrences
  HostNotFound | Search for all occurrences
  UnknownError | Search for all occurrences

Definition at line 61 of file qhostinfo.h.

                           {
            NoError,
            HostNotFound,
            UnknownError
        };

## Constructor & Destructor Documentation

QHostInfo | ( | int | lookupId = `-1` | ) |

QHostInfo | ( | const QHostInfo & | d | ) |

~QHostInfo | ( |  | ) |

## Member Function Documentation

QHostInfo& operator= | ( | const QHostInfo & | d | ) |

QString hostName | ( |  | ) | const

Search for all occurrences

void setHostName | ( | const QString & | name | ) |

Search for all occurrences

QList<QHostAddress> addresses | ( |  | ) | const

Search for all occurrences

void setAddresses | ( | const QList< QHostAddress > & | addresses | ) |

Search for all occurrences

HostInfoError error | ( |  | ) | const

Search for all occurrences

void setError | ( | HostInfoError | error | ) |

Search for all occurrences

QString errorString | ( |  | ) | const

Search for all occurrences

void setErrorString | ( | const QString & | errorString | ) |

Search for all occurrences

void setLookupId | ( | int | id | ) |

Search for all occurrences

int lookupId | ( |  | ) | const

Search for all occurrences

static int lookupHost | ( | const QString & | name,
|  | QObject * | receiver,
|  | const char * | member
| ) |  | `[static]`

Search for all occurrences

static void abortHostLookup | ( | int | lookupId | ) | `[static]`

Search for all occurrences

static QHostInfo fromName | ( | const QString & | name | ) | `[static]`

Search for all occurrences

static QString localHostName | ( |  | ) | `[static]`

Search for all occurrences

static QString localDomainName | ( |  | ) | `[static]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtNetwork/qhostinfo.h

QHostInfo QHostInfo QHostInfo QHostInfo QHostInfo QHostInfo QHostInfo QHostInfo QHostInfo QHostInfo
QHostInfo QHostInfo QHostInfo QHostInfo QHostInfo QHostInfo QHostInfo QHostInfo QHostInfo QHostInfo